body {
    margin: 0;
    padding: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background: white;
    display: flex;
    flex-direction: column; /* Stack elements vertically */
    align-items: center;
    height: 100vh;
}
img {
    text-align: center;
}
header {
    text-align: center;
    color: white;
    width: 100%;
    background-color: #474545;
    padding: 25px;
}
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.login-container {
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    margin-top: 20px; /* Add margin-top to create space below the header */
    padding: 20px;
    text-align: center;
    width: 400px;
}

h2 {
    color: #333;
}

.form-group {
    margin-bottom: 20px;
}

.button-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr)); /* Adjust the minimum and maximum width as needed */
    grid-gap: 10px; /* Adjust the gap between buttons */
}

.dialog {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.6); /* Dark semi-transparent background */
}
.dialog-content {
    background-color: #fff; /* White background for content */
    margin: 15% auto;
    padding: 20px;
    border-radius: 10px; /* Rounded corners */
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.3); /* Drop shadow */
    width: 20%;
    color: #000; /* Black text color */
    text-align: center;
}

.input-group {
    margin-bottom: 15px;
}

.input-group label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

.input-group input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

.button-group {
    margin-top: 20px;
}

.button-group button {
    padding: 10px 20px;
    background-color: #007bff; /* Blue button color */
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.button-group button:hover {
    background-color: #0056b3; /* Darker blue on hover */
}




/* Style for the delete button */
.delete-button {
    background-color: red; /* Red background color */
    color: white; /* White text color */
    border: none; /* Remove border */
    padding: 8px 16px; /* Add padding */
    border-radius: 4px; /* Add border radius */
    cursor: pointer; /* Change cursor to pointer on hover */
}

/* Hover effect */
.delete-button:hover {
    background-color: darkred; /* Darker red background color on hover */
}

.fill-button {
    background-color: forestgreen; /* Red background color */
    color: white; /* White text color */
    border: none; /* Remove border */
    padding: 8px 16px; /* Add padding */
    border-radius: 4px; /* Add border radius */
    cursor: pointer; /* Change cursor to pointer on hover */
}

/* Hover effect */
.fill-button:hover {
    background-color: darkgreen; /* Darker red background color on hover */
}

.unfill-button {
    background-color: blue; /* Red background color */
    color: white; /* White text color */
    border: none; /* Remove border */
    padding: 8px 16px; /* Add padding */
    border-radius: 4px; /* Add border radius */
    cursor: pointer; /* Change cursor to pointer on hover */
}

/* Hover effect */
.fill-button:hover {
    background-color: darkblue; /* Darker red background color on hover */
}


input[type="input"],
input[type="input"] {
    width: calc(100% - 20px);
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #f7f7f7;
    color: #333;
    font-size: 16px;
    transition: background-color 0.3s ease;
}

input[type="password"] {
    width: calc(100% - 20px);
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #f7f7f7;
    color: #333;
    font-size: 16px;
    transition: background-color 0.3s ease;
    -webkit-text-security: disc; /* For WebKit browsers */
}


input[type="input"]:focus,
input[type="input"]:focus {
    background-color: #e0e0e0;
}

button[type="submit"] {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 5px;
    background: #e88010;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button[type="submit"]:hover {
    background-color: #0056b3;
}

button[type="header"] {
    padding: 10px;
    border: none;
    border-radius: 5px;
    background: #e88010;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button[type="menu"] {
    padding: 10px;
    border: none;
    border-radius: 5px;
    background: black;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
button[type="menu"]:hover {
    background: #fff;
    color: black;
}

.button {
    display: inline-block;
    padding: 20px 40px;
    background-color: #e88010;
    color: white;
    text-align: center;
    text-decoration: none;
    font-size: 24px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    margin: 10px;
    transition: background-color 0.3s;
}


body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
}

table {
    width: 100%;
    border-collapse: collapse;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

th, td {
    padding: 12px 16px;
    text-align: left;
}

th {
    background-color: black;
    color: white;
}

tr:nth-child(even) {
    background-color: #f2f2f2;
}

tr:hover {
    background-color: #ddd;
}



.gallery {
    --g: 8px; /* the gap */
    --s: 500px; /* the size */
    display: grid;
    border-radius: 115%;
    position: relative; /* Added */
    background: #e88010;
    border-color: black;
}

.background-circle {
    content: '';
    position: absolute;
    width: 550px; /* Adjusted for gap */
    height: 550px; /* Adjusted for gap */
    background-color: #000; /* Adjusted background color */
    border-radius: 150%;
    z-index: -1; /* Behind the gallery */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.gallery>img {
    grid-area: 1/1;
    width: var(--s);
    aspect-ratio: 1;
    object-fit: cover;
    border-radius: 50%;
    transform: translate(var(--_x, 0), var(--_y, 0));
    cursor: pointer;
    font-size: 0;
    z-index: 0;
    transition: .3s, z-index 0s .3s;
    border-color: #e88010;

}

.gallery img:hover {
    font-size: var(--s);
    z-index: 1;
    transition: transform .2s, font-size .3s .2s, z-index 0s;
}

.gallery:hover img {
    transform: translate(0, 0);
}

.gallery>img:nth-child(1) {
    clip-path: polygon(50% 50%, .5em 1.2em, 0 1em, 0 0, 100% 0, 100% 1em, calc(100% - .5em) 1.2em);
    --_y: calc(-1*var(--g))
}

.gallery>img:nth-child(2) {
    clip-path: polygon(50% 50%, calc(100% - 1.2em) 0.5em, calc(100% - 1em) 0, 100% 0, 100% 100%, calc(100% - 1em) 100%, calc(100% - 1.2em) calc(100% - .5em));
    --_x: var(--g)
}

.gallery>img:nth-child(3) {
    clip-path: polygon(50% 50%, calc(100% - .5em) calc(100% - 1.2em), 100% calc(100% - 1.2em), 100% 100%, 0 100%, 0 calc(100% - 1em), .5em calc(100% - 1.2em));
    --_y: var(--g)
}

.gallery>img:nth-child(4) {
    clip-path: polygon(50% 50%, 1.2em .5em, 1em 0, 0 0, 0 100%, 1em 100%, 1.2em calc(100% - .5em));
    --_x: calc(-1*var(--g))
}





